Skip to main content
Compute Management/VM Related Interfaces
DELETEVM Related InterfacesSince 4.2.0SynchronousAuth Required

Delete VM Boot Mode

Delete VM Boot Mode

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    Resource UUID, uniquely identifies the resource

Body Fields

  • deleteModeString

    删除模式。

  • systemTagsList

    系统标签。

  • userTagsList

    用户标签。

Responses

DELETE endpoints return an empty object on success, or a standard error structure on failure.

Success Response

{}

Error Response

{
  "error": {
    "code": "SYS.1001",
    "description": "A message or a operation timeout",
    "details": "Delete resource timeout after 300s"
  }
}

Endpoint

DELETE/zstack/v1/vm-instances/{uuid}/bootmode

/zstack/v1/vm-instances/{uuid}/bootmode

Operation ID

DeleteVmBootMode

Permalink

Request Example

curl -X DELETE 'http://{host}/zstack/v1/vm-instances/{uuid}/bootmode' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"deleteMode":"<deleteMode>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history